DEX Trades

Full historical decoded token DEX swaps.

Method: GET

Endpoint: https://api.syve.ai/v1/filter-api/dex-trades

📘

List of examples

The best way to understand how to use the Filter API is to visit the section of examples here.

Request Parameters

All request parameters have the format <operator>:<field_name>. Each field of the table can be used as field_name. See the "Response Fields" section below for possible values.

📘

Request Syntax

For more information on how to construct a request using the Filter API click here.

Response Fields

FieldTypeDescription
block_numberintegerThe block number of the transaction of the swap.
timestampintegerUNIX timestamp in seconds.

The zero value corresponds to the 1st of January 1970 at UTC, called the Unix Epoch.
transaction_hashstringThe transaction hash of the transaction of the swap.
trader_addressstringThe "from" address of the transaction of the swap.
interacted_with_addressstringThe "to" address of the transaction of the swap, usually the router address of the DEX used.
token_addressstringThe address of the base token of the swap.
token_symbolstring The symbol of the base token in the swap.
token_namestringThe name of the base token in the swap.
quote_addressstringThe address of the quote token in the swap.
pool_addressstringThe address of the pool in which the swap happened.
protocol_namestringThe name of the DEX protocol (e.g. Uniswap) used for the swap.
price_token_usd_tick_1doubleThe dollar price at which the base token was traded.
price_token_usd_robust_tick_1doubleEquals to null if price is an outlier. If not an outlier it equals to price_token_usd_tick_1.
sidestringWhether the base token was bought or sold.

If the base token leaves the pool after a swap we consider that a buy, otherwise it's a sell.
amount_tokendoubleThe amount of the base token that was swapped.
amount_quotedoubleThe amount of the quote token that was swapped.
amount_usddoubleThe value in dollars that was swapped.
gas_usedintegerThe amount of gas used to process the transaction of the swap.
gas_price_ethdoubleThe cost per unit of gas used when processing the transaction of the swap.
gas_price_usddoubleThe dollar value of gas_price_eth.
transaction_fee_ethdoubleThe amount of Ether paid to process the transaction of the swap; equal to gas_price_eth multiplied by gas_used.
transaction_fee_usddoubleThe dollar value of transaction_fee_eth.

Live Example

Press Try It to make a request and see what the response looks like. Feel free to try different values for each request parameter.

Note: The below live example does not include all possible request parameters.

Query Params
int32
Defaults to 16000000
int32
Defaults to 17000000
int32
Defaults to 10
string
Defaults to desc
Language
Response
Click Try It! to start a request and see the response here!